Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
Request Code Samples
curl --location --request GET 'https://mazu-lan.concise.co.id/api/v1/main/approval-manager/51c48a34-6619-4878-8984-0e9c20c3b772' \
--header 'Authorization: Bearer <token>'
Responses
application/json {
"status": true,
"code": 200,
"message": "Success Find Dynamic Approval Module",
"data": {
"id": "6372ca50-7922-4497-9e7f-fc7fcf99a166",
"level_cap": 3,
"module_name": "Warehouse",
"approval_level": [
{
"level": 1,
"role_assign": [
{
"role_id": "4fcdfefc-a129-49d5-aa01-d9e77213581d",
"role_name": "Vessel Superintendent"
}
]
},
{
"level": 2,
"role_assign": [
{
"role_id": "a7f7e6b1-fb7e-47ec-8e9b-8b6afc3df156",
"role_name": "Master Engine"
},
{
"role_id": "3f5175e5-90bf-411c-908b-768dd139ba27",
"role_name": "Master Deck"
}
]
},
{
"level": 3,
"role_assign": [
{
"role_id": "4fcdfefc-a129-49d5-aa01-d9e77213581d",
"role_name": "Vessel Superintendent"
}
]
}
]
}
}
Modified at 2025-09-11 06:22:48